Git::Raw::Cert::HostKey(3pm)

NAME
Git::Raw::Cert::HostKey - Git hostkey class

VERSION
version 0.90

DESCRIPTION
A Git::Raw::Cert::HostKey object represents a hostkey.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

METHODS

  ssh_types( )
List of hostkey types, valid values include "md5" and/or "sha1".

  sha1( )
SHA-1 hostkey hash or "undef" if not available.

  md5( )
MD5 hostkey hash or "undef" if not available.

AUTHOR
Jacques Germishuys <jacquesg@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2014 Jacques Germishuys.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.